local WarlockWizz,targetDebuffsTable  =...;
local WarlockWizz, iconsTable         =...;

local ability_warlock_mortalcoil      = iconsTable.ability_warlock_mortalcoil
local spell_corruption_icon           = iconsTable.spell_corruption_icon
local spell_agony_icon                = iconsTable.spell_agony_icon
local spell_unstable_icon             = iconsTable.spell_unstable_icon
local spell_fear_icon                 = iconsTable.spell_fear_icon
local spell_mortalcoil_icon           = iconsTable.spell_mortalcoil_icon
local spell_shadowfury_icon           = iconsTable.spell_shadowfury_icon

-- Debuff: Corruption
local tf1 = CreateFrame("Frame",nil,UIParent)
tf1:SetWidth(1) 
tf1:SetHeight(1) 
tf1:SetAlpha(.90);
tf1:SetPoint("CENTER",-122,25)
tf1.text = tf1:CreateFontString(nil,"ARTWORK") 
tf1.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
tf1.text:SetPoint("CENTER",0,0)
tf1:Hide()

function targetDebuffsTable.TargetDebuffOne(options)
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf1:Hide()
      break
    elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      if remainingDuration > -120 then
        print(remainingDuration)
        tf1.text:SetText(remainingDuration.." s")
        UIFrameFadeOut(spell_corruption_icon, options, 1, 0)
        tf1:Show()
      else
        UIFrameFadeOut(spell_corruption_icon, options, 1, 0)
    end
      break
    end
  end
end

-- Debuff: Agony
local tf2 = CreateFrame("Frame",nil,UIParent)
tf2:SetWidth(1) 
tf2:SetHeight(1) 
tf2:SetAlpha(.90);
tf2:SetPoint("CENTER",-122,-45)
tf2.text = tf2:CreateFontString(nil,"ARTWORK") 
tf2.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
tf2.text:SetPoint("CENTER",0,0)
tf2:Hide()

function targetDebuffsTable.TargetDebuffTwo(options)
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf2:Hide()
      break
    elseif name == "Agony" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf2.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_agony_icon, options, 1, 0)
      tf2:Show()
      break
    end
  end
end

-- Debuff: Unstable Affliction
local tf3 = CreateFrame("Frame",nil,UIParent)
tf3:SetWidth(1) 
tf3:SetHeight(1) 
tf3:SetAlpha(.90);
tf3:SetPoint("CENTER",-122,-105)
tf3.text = tf3:CreateFontString(nil,"ARTWORK") 
tf3.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
tf3.text:SetPoint("CENTER",0,0)
tf3:Hide()

function targetDebuffsTable.TargetDebuffThree(options)
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf3:Hide()
      break
    elseif name == "Unstable Affliction" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf3.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_unstable_icon, options, 1, 0)
      tf3:Show()
      break
    end
  end
end

-- Debuff: Fear
local tf4 = CreateFrame("Frame",nil,UIParent)
tf4:SetWidth(1) 
tf4:SetHeight(1) 
tf4:SetAlpha(.90);
tf4:SetPoint("CENTER",-122,-105)
tf4.text = tf4:CreateFontString(nil,"ARTWORK") 
tf4.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
tf4.text:SetPoint("CENTER",244,59)
tf4:Hide()

function targetDebuffsTable.TargetDebuffFour(options)
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf4:Hide()
      break
    elseif name == "Fear" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_fear_icon, options, 1, 0)
      tf4:Show()
      break
    elseif name == "Mortal Coil" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_mortalcoil_icon, options, 1, 0)
      tf4:Show()
      break
    elseif name == "Shadowfury" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_shadowfury_icon, options, 1, 0)
      tf4:Show()
      break
    end
  end
end


