
-- cdf: Combat Disabled Frame, cde: Combat Enabled Frame, tf: Text Frame
local cf                            = CreateFrame("Frame")
local intervalF                     = CreateFrame("Frame")

-- Set interval for Interval Frames
local ONUPDATE_INTERVAL             = 1
local TimeSinceLastUpdate           = 0

-- UIFrameFadeOut/IN
local timeToFade                    = 2.5
local startAlpha                    = 1
local endAlpha                      = 1

-- local WarlockWizz, buffsTable         =...;

local WarlockWizz, targetDebuffsTable =...;
local TargetDebuffOne               = targetDebuffsTable.TargetDebuffOne
local TargetDebuffTwo               = targetDebuffsTable.TargetDebuffTwo
local TargetDebuffThree             = targetDebuffsTable.TargetDebuffThree
local TargetDebuffFour               = targetDebuffsTable.TargetDebuffFour


local function CombatEnabled()
end

local function CombatDisabled()
end

intervalF:SetScript("OnUpdate", function(self, elapsed)
	TimeSinceLastUpdate = TimeSinceLastUpdate + elapsed
	if TimeSinceLastUpdate >= ONUPDATE_INTERVAL then
		TimeSinceLastUpdate = 0
    -- Do stuff

    -- Debuffs
    TargetDebuffOne(timeToFade)
    TargetDebuffTwo(timeToFade)
    TargetDebuffThree(timeToFade)
    TargetDebuffFour(timeToFade)

	end
end)

-- When the frame is shown, reset the update timer
intervalF:SetScript("OnShow", function(self)
	TimeSinceLastUpdate = 0
end)


-- Call functions for player Combat
cf:RegisterEvent("PLAYER_REGEN_ENABLED")
cf:RegisterEvent("PLAYER_REGEN_DISABLED")

local combat = cf:SetScript("OnEvent", function(self, event, ...)
  if(event == "PLAYER_REGEN_ENABLED") then
    -- CombatDisabled()
  end
   
  if(event == "PLAYER_REGEN_DISABLED") then
    -- CombatEnabled()
  end
end)

